# Homework: PHP Basics

Write a one to a two-page paper that discusses your knowledge of PHP Basics. Be sure to address the following questions in your submission:

- What are you proficient within PHP?
- What do you sometimes struggle with when programming in PHP?
- What do you want to learn or use more of when using PHP? In this class?
- What are your skills (professionally, educationally, and personally) with using PHP?  How do you use the basics of PHP in your own personal, professional, or educational life?

Please make sure any sources you use in your submission are appropriately cited and referenced in APA format.

> See [homework](https://git.vdm.dev/Llewellyn/WEBD-325-45/src/branch/master/week-01/homework)...

# Project: Project Proposal

**Project Proposal** - During the first week of class you will need to prepare a project proposal to include the following elements. It is understood that aspects of the proposal may change during project development.

- Purpose of the Website - A clear statement of purpose directly connected the goal of your client.
- Site Map - Since your site will be a content management system, it will need to include public and staff sites that make use of database-driven components to manage users and content presented on the public site.
- Story Board - You may use presentation software such as PowerPoint to display the layout, design and navigation elements of your site. The goal here is to describe to your client the proposed design for both the public and staff sites, as well as the workflow the staff will follow to manage content on the site.
- Database Schema - Provide an entity relationship diagram to describe the database structure that will be built to support back-end processes.
- Schedule - The schedule of tasks you will use to complete elements of the project will be determined by weekly assignments in the course. However, reasonable deviations from this may be necessary based on the particular needs of your project.

**Note:**

- I'm not looking for screen mock-ups as the only required UI involves managing users, subjects, and web-pages for subjects.  You are free to add more than the minimum required UI.
- Your proposal must include a high level over of your Subjects and web pages for subjects.  As an example, for a restaurant CMS, a Subject might be Menu, and webpages for that subject might be Breakfast, Lunch, and Dinner.  See these Projects Tasks as an example for managing Subjects and web pages for subjects: https://champlain.instructure.com/courses/1838628/pages/project-tasks

> See [project proposal](https://git.vdm.dev/Llewellyn/WEBD-325-45/src/branch/master/week-01/project)...

